/// <reference types="react" />
import { NewGDSButtonElement, NewGDSButtonProps } from './common';
export declare type NewGDSButtonCopyProps = {
    /** Text to copy when the button is clicked. */
    value: string;
} & NewGDSButtonProps;
export declare const NewGDSButtonCopy: import("react").ForwardRefExoticComponent<{
    /** Text to copy when the button is clicked. */
    value: string;
} & {
    variant?: import("./common").Variant;
    size?: import("./common").Size;
    shape?: "round" | "default";
    justify?: import("../..").ValueOrArray<"center" | "space-around" | "space-between" | "space-evenly" | "end" | "start">;
    status?: "success" | "loading" | "error" | "success-final" | "loading-progress";
    statusMessage?: import("react").ReactNode;
    loadingProgress?: number;
} & import("../..").ButtonOrLinkProps & import("react").HTMLAttributes<NewGDSButtonElement> & import("react").RefAttributes<NewGDSButtonElement>>;
